<?php
/**
 * @package Hey Cookie
 */

get_header(); 

$options = get_option('hey_cookie_theme_options');
		
$hey_cookie_sidebarplacement = $options['sidebarplacement'];
$hey_cookie_sidebarnumber = $options['sidebarnumber'];

if ( is_dynamic_sidebar('sidebar1') && 'both' == $hey_cookie_sidebarplacement ) {
	get_sidebar('sidebar1');
} ?>

	<div id="content" class="content">

		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<div class="post" id="post-<?php the_ID(); ?>">
			<h2 class="page_title">
				<?php the_title(); ?>
			</h2>
			
			<div class="entry">
            	
				<?php the_content('<p>' . __( 'Read the rest of this entry' , 'hey-cookie' ) . ' &raquo;</p>'); ?>
				
				<?php wp_link_pages(array('before' => '<p class="clear"><strong>' . __( 'Pages:' , 'hey-cookie' ) . '</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
			</div>
						
			<?php edit_post_link( __( 'Edit this entry' , 'hey-cookie' ) , '<p class="clear">', '</p>'); ?>
		</div>
		<?php if ( comments_open() ) comments_template(); ?>
		<?php endwhile; endif; ?>    
    
	</div>
	
<?php if ( is_dynamic_sidebar('sidebar1') && 'both' != $hey_cookie_sidebarplacement ) {
	get_sidebar('sidebar1');
	} ?>
<?php if ( is_dynamic_sidebar('sidebar2') ) {
	get_sidebar('sidebar2');
	} ?>
<?php get_footer(); ?>