jQuery(document).ready( function($) {
	
	var templatedirectory = template.directory;

		if ( $("#sidebar-number-none").is(":checked") )
		{
			//Check existing state--no sidebars
			$("#sidebar-placement").css("display","none");
			$("#sidebar-placement-checkbox-left").removeAttr('checked');
			$("#sidebar-placement-checkbox-right").removeAttr('checked');
			$("#sidebar-placement-checkbox-both").removeAttr('checked');
		}
		else 
		{
			//Show the Placement div
			$("#sidebar-placement").css("display","table-row");
		}
		
		if ( $("#sidebar-number-two").is(":checked") )
		{
			//Check existing state--two sidebars
			$("#sidebar-placement-both").css("display","table-cell");
			$("#sidebar-image-right").attr("src", templatedirectory + "two-right.png");
			$("#sidebar-image-left").attr("src", templatedirectory + "two-left.png");
		}
		else 
		{
			//Hide the "Both" option and set images
			$("#sidebar-placement-both").css("display","none");
			$("#sidebar-image-right").attr("src", templatedirectory + "one-right.png");
			$("#sidebar-image-left").attr("src", templatedirectory + "one-left.png");
		}

		// No sidebars
		$("#sidebar-number-none").click( function() {
		
			if ( $("#sidebar-number-none").is(":checked") )
			{
				//Hide the Placement set and uncheck any values
				$("#sidebar-placement").css("display","none");
				$("#sidebar-placement-checkbox-left").removeAttr('checked');
				$("#sidebar-placement-checkbox-right").removeAttr('checked');
				$("#sidebar-placement-checkbox-both").removeAttr('checked');
			}
				
		});
		
		// One sidebar
		$("#sidebar-number-one").click( function() {

			if ( $("#sidebar-number-one").is(":checked") )
			{
				//Hide "Both" and change images
				$("#sidebar-placement").css("display","table-row");
				$("#sidebar-placement-both").css("display","none");
				$("#sidebar-placement-checkbox-both").removeAttr('checked');
				$("#sidebar-image-right").attr("src", templatedirectory + "one-right.png");
				$("#sidebar-image-left").attr("src", templatedirectory + "one-left.png");
			}
		
		});
		
		// Two sidebars
		$("#sidebar-number-two").click( function() {

			if ( $("#sidebar-number-two").is(":checked") )
			{
				//Show "Both" and change images
				$("#sidebar-placement").css("display","table-row");
				$("#sidebar-placement-both").css("display","inline");
				$("#sidebar-image-right").attr("src", templatedirectory + "two-right.png");
				$("#sidebar-image-left").attr("src", templatedirectory + "two-left.png");
			}
		
		});

	}
);